Get Orders

Retrieve paginated ecommerce orders with nested destination address, origin locations, packages, products, shipments, filters, status catalogs, and error responses.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve a paginated list of orders with nested destination address, origin locations, packages, products, and shipments.

Query parameters

Pagination

ParameterTypeDefaultDescription
limitnumber20Number of orders per page.
pagenumber1Page number to retrieve.

The totals field in the response indicates the total number of results that match the filter.

Identity filters

ParameterTypeDescription
order_idsarrayUp to 300 order IDs.
order_identifiersarrayUp to 300 store order identifiers.
order_namestringOrder name, for example "#1290", "290".

Workflow status filter: filter

Use filter to segment orders by their general lifecycle status. filter and analytics are mutually exclusive; use only one at a time.

ValueDescription
payment-pendingWaiting for payment confirmation.
label-pendingPaid and ready to generate a label.
pickup-pendingShipment created and waiting for pickup.
shippedIn transit after carrier pickup.
canceledOrder or shipment canceled.
otherMiscellaneous status.
completedAll packages fulfilled.

Shipment analytics filter: analytics

Use analytics to segment orders by the status of their active shipments. analytics and filter are mutually exclusive; use only one at a time.

ValueApplies when...
unfulfillmentThe order is payment-pending and has unfulfilled packages.
fulfillmentThe order is paid and no shipment has been created yet.
ready-to-shipA shipment has been created with status Created.
out-for-deliveryThe carrier is out for delivery.
in-transitThe shipment has been picked up or is in transit.
deliveredThe shipment has been delivered.
with-incidentsThe shipment has an incident, such as damage or loss.
returnedThe shipment was returned to sender.

Additional filters

ParameterTypeDescription
status_idnumberGeneral status ID. See Status catalogs.
status_paymentarrayPayment status: pending, paid, or cod.
fulfillment_status_idarrayFulfillment status IDs. See Status catalogs.
origin_address_idarrayOrigin location IDs.
shop_idarrayShop IDs.
destination_country_codearrayDestination country ISO codes.
weightarrayWeight ranges as strings, for example "1-5" for 1–5 kg or "5-" for more than 5 kg.
weight_unitstringUnit for weight: KG or LB.
carrierstringCarrier name, for example "fedex" or "estafeta".
shipping_methodarrayShipping service names.
tracking_numberstringExact tracking number.
product_namestringProduct name.
skustringProduct SKU.
product_idarrayProduct IDs.
quotestringQuoted carrier or service name. Minimum length: 3 characters.
quote_servicearrayQuoted service names.
tagsarrayOrders that include all specified tags. Maximum: 50 tags.
logistic_modestringLogistic mode: me1, me2, custom, or FULFILLMENT_BY_SELLE.
datestringCreation month and year in YYYY-MM format.
date_fromstringStart date in ISO 8601 format.
date_tostringEnd date in ISO 8601 format.

Sorting

ParameterValuesDescription
sort_byField nameField used to sort results. Without this parameter, results are limited to the last 6 months.
sort_directionasc, descSort direction.

Status catalogs

status_id: order workflow status

IDName
1Payment Pending
2Label Pending
3Pickup Pending
4Shipped
5Canceled
6Other
7Completed

fulfillment_status_id: fulfillment status

IDName
1Fulfill
2Partial Fulfill
3Unfulfill
4Other
5On Hold

ecart_status_id: payment status

IDName
1Paid
2Pending
3Refunded
4Cancel
5Other
7authorized
8partially_paid
9partially_refunded
10shipped
11on_hold
12completed

shipment.info_status.id: shipment status per package

IDNameIDName
1Created17–19Delivery attempts
2Shipped20Return problem
3Delivered21Address error
4Canceled22Undeliverable
5Information23Delayed
7Pending24Rejected
8Picked Up251 pickup attempt
9Out for Delivery26Partially Shipped
10Lost27Partially Delivered
11Returned28Delivery attempt
12Pickup at Office29Customs Delay
13Delivered at Origin30Non-serviceable origin
14Damaged31Assigned
15Redirected32Dead freight
16Out for Pickup38Misrouted

Response structure

{
  "orders_info": [],
  "countries": [],
  "totals": 0
}
FieldTypeDescription
orders_infoOrder[]Orders that match the query parameters.
countriesstring[]Destination country ISO codes available in your account.
totalsnumberTotal number of matching results for pagination.

Order object

FieldTypeDescription
idnumberInternal Envia order ID.
status_id / status_namenumber / stringGeneral workflow status.
ecart_status_id / ecart_status_name / ecart_status_classnumber / string / stringPayment status.
fulfillment_status_idnumberFulfillment status.
created_at_ecommercedatetimeCreation date in the ecommerce platform.
estimated_delivery_indatetime | nullEstimated delivery date.
logistic.modestring | nullLogistic mode.
orderobjectOrder data, including prices, identifiers, and COD.
order_commentobjectInternal comment.
customerobjectCustomer name, email, and phone.
shopobjectShop id and name.
ecommerceobjectEcommerce platform id and name.
shipment_dataobjectDestination address and origin locations with packages.
tagsarrayOrder tags.
is_favoritebooleanWhether the order is marked as favorite.

Package object

Packages are returned inside shipment_data.locations[].packages.

FieldTypeDescription
idnumberPackage ID.
fulfillment.statusnumberPackage-level fulfillment status.
weight / weight_unitnumber / stringPackage weight and unit.
dimensionsobjectPackage height, length, and width.
length_unitstringLength unit: CM or IN.
package_type_idnumberPackage type: 1 box, 2 pallet, or 3 envelope.
insurance / declared_valuenumber / numberInsured value and declared value.
additional_servicesarrayAdditional services.
is_returnbooleanWhether this is a return package.
quoteobjectSelected quote, including price, carrier_name, service_name, and related fields.
shipmentobjectActive shipment. See Shipment object.
productsarrayProducts in the package.

Shipment object

Shipments are returned inside each package.

FieldTypeDescription
tracking_numberstring | nullTracking number.
bolstring | nullBill of lading.
filestring | nullLabel URL.
track_urlstring | nullPublic tracking URL.
created_atdatetime | nullShipment creation date.
service_namestring | nullShipping service used.
total_cost / currencynumber / stringShipment cost and currency.
shipment_idnumber | nullEnvia shipment ID.
info_statusobjectShipment status fields: id, name, class_name, dashboard_color, and is_cancellable.

Errors

StatusCause
400Invalid parameter, such as an incorrect weight format or more than 50 tags.
401Missing or invalid token.
403The token does not have permission to access orders for this account.
422Query parameter validation error.
500Internal server error.

Notes

  • Without sort_by, the API automatically limits results to the last 6 months relative to the account's most recent order.
  • filter and analytics are mutually exclusive. Use only one at a time.

Response

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json